Pentaho

 View Only
Expand all | Collapse all

Can't build Pentaho-kettle 10.2.0.0

This thread has been viewed 97 times
  • 1.  Can't build Pentaho-kettle 10.2.0.0

    Posted 05-03-2024 01:12

    Hi,

    I have pulled and built pentaho-kettle from master branch GitHub - pentaho/pentaho-kettle: Pentaho Data Integration ( ETL ) a.k.a Kettle 

    But it throws the error as below

    It's critical for us so, does anyone know how to fix it?



    ------------------------------
    Oai Le
    Others
    Halliburton
    ------------------------------


  • 2.  RE: Can't build Pentaho-kettle 10.2.0.0

    Posted 05-03-2024 05:13

    Hi,

    IMHO it's not possible. In Maven repository is available only GA versions of platform, 9.4.0.0-343, 9.3.0.0-428, 9.2.0.0-290 and 8.3.0.0-371.



    ------------------------------
    Petr Prochazka
    Systems Engineer
    P.V.A. systems s.r.o.
    ------------------------------



  • 3.  RE: Can't build Pentaho-kettle 10.2.0.0

    Posted 05-05-2024 22:21

    Hi Petr, we're currently using Pentaho Kettle version 9.4.0.0-343, and it's been functioning well from an operational standpoint. However, recent security scans have identified vulnerabilities in this version, which pose a potential risk to our data and systems.

    While we'd prefer to maintain stability, addressing these vulnerabilities is a priority. Unfortunately, we're unsure of the best approach to fixing them all.



    ------------------------------
    Oai Le
    Others
    Halliburton
    ------------------------------



  • 4.  RE: Can't build Pentaho-kettle 10.2.0.0

    Posted 05-06-2024 05:05

    Hello Oia Le, over the last 12 months the focus on the industry in relation to vulnerabilities has increased and the scan processes have also evolved. This translates having new reports and listings coming very frequent. 

    Since 9.4, we have released a big number of Service Packs to address most of those vulnerabilities.

    Our pentaho engineering have been putting a lot of extra effort over the last 6 months to close the vulnerabilities before the release of our next Long Term Support (LTS) Version, which is coming in few months.



    ------------------------------
    Alexander Schurman
    Solution Architects - Manager
    Pentaho
    ------------------------------



  • 5.  RE: Can't build Pentaho-kettle 10.2.0.0

    Posted 05-06-2024 23:05

    Thank @Alexander Schurman to reply me.

    I appreciate you confirming that upgrading to a newer version of Pentaho Kettle should significantly reduce the security vulnerabilities in version 9.4.0.0-343.

    However, I'm encountering some challenges during the upgrade process.  Whenever I attempt to build the newer version, I consistently experience build failures. During the build process, I'm facing errors related to missing dependencies in the Maven Artifactory.

    Could you please advise on how to troubleshoot these missing dependencies?  Are there specific steps I need to take to ensure the required artifacts are available in the Artifactory repository?


    Thanks,

    Oai Le



    ------------------------------
    Oai Le
    Others
    Halliburton
    ------------------------------



  • 6.  RE: Can't build Pentaho-kettle 10.2.0.0

    Posted 05-07-2024 01:54

    Hi Oai,

    Have you managed to build 10.1 at all?  I'm trying to build a 10.x version - but am getting similar errors.

    Would you also be happy to post the git commands you're using to pull the branch/tag from the repository?

    I note that 10.1 exists as a branch but not 10.2 - not sure if that makes any difference.

    Side note - I'm having issues connecting to D365 due to what appears to be MS JDBC / azure security jar dependency clashes with 9.4 - so wanting to try a later CE version.

    Thanks,

    Matt.



    ------------------------------
    Matthew Beale
    Data Service Manager
    National Seniors Australia
    ------------------------------



  • 7.  RE: Can't build Pentaho-kettle 10.2.0.0

    Posted 05-07-2024 20:09

    Hi Oai,

    So I get a little further along the process than this.  I separately check out the parent-poms git repo and copy the settings.xml and settings-security.xml files into the .m2 directory of the kettle client and build from there.  

    git clone --single-branch -b 10.2.0.0-118 https://github.com/pentaho/maven-parent-poms.git
    Get the settings.xml and settings-security.xml files in the maven-support-files directory

    Then checkout the tag/branch you want to build

    git clone --single-branch -b 10.2.0.0-118 https://github.com/pentaho/pentaho-kettle.git

    Copy the two files above into the .m2 directory you've created as usual

    mvn clean install -DskipTests

    Then it errors trying to resolve dependencies for the pentaho-metastore-locator-api

    If anyone has any suggestions on how to resolve this - that would be much appreciated.



    ------------------------------
    Matthew Beale
    Data Service Manager
    National Seniors Australia
    ------------------------------



  • 8.  RE: Can't build Pentaho-kettle 10.2.0.0

    Posted 05-10-2024 06:53

    Have you done:

    mvn -X clean install

    in 

    maven-parent-poms cloned repository and its subdirectories that include pom files? 

    Please additionaly clone and build  with mvn clean install

    https://github.com/pentaho/metastore

    https://github.com/pentaho/maven-project-archetypes

    https://github.com/pentaho/pentaho-maven-plugins

    https://github.com/pentaho/pentaho-connections

    https://github.com/pentaho/pentaho-actionsequence-dom

    https://github.com/pentaho/pentaho-commons-xul (this one failed as I'm doing it in air gapped env)

    you will go forward but compile will fail - so still something is missing.



  • 9.  RE: Can't build Pentaho-kettle 10.2.0.0

    Posted 05-14-2024 02:30

    Hi Szymon,

    I've done as you've suggested and am now getting the same issues as you have above.  The pentaho-commons-xul fails to build (but doesn't block anything at this point), and maven then fails in not being able to resolve the pentaho-encryption-support dependency. 

    I've tried changing the kettle /core/pom.xml dependency for pentaho-encryption-support to a different version - but no such luck.  I've tried manually installing the jar file from 9.4.0.0 (one I built earlier) - but I'm a maven and pom.xml novice - so likely am doing something wrong:

    mvn install:install-file -Dfile=pentaho-encryption-support.jar ^
                             -DgroupId=org.pentaho ^
                             -DartifactId=pentaho-encryption-support ^
                             -Dversion=9.4.0.0-SNAPSHOT ^
                             -Dpackaging=jar

    The error is now slightly different I get a compile failure - but basically, it's the same saying that the encryption support package doesn't exist.

    Will try to work on it some more when I get a chance.



    ------------------------------
    Matthew Beale
    Data Service Manager
    National Seniors Australia
    ------------------------------



  • 10.  RE: Can't build Pentaho-kettle 10.2.0.0

    Posted 05-14-2024 02:46

    Ok - got past that now.  had to remove the 'org.' in the group id.

    mvn install:install-file -Dfile=pentaho-encryption-support.jar ^
                             -DgroupId=pentaho ^
                             -DartifactId=pentaho-encryption-support ^
                             -Dversion=9.4.0.0-SNAPSHOT ^
                             -Dpackaging=jar

    kettle/core/pom.xml:


        <dependency>
              <groupId>pentaho</groupId>
              <artifactId>pentaho-encryption-support</artifactId>
              <version>9.4.0.0-SNAPSHOT</version>
        </dependency>

    The build still requires further repositories such as:
    git clone https://github.com/pentaho/pentaho-registry.git
    git clone https://github.com/pentaho/mondrian.git

    the journey continues...



    ------------------------------
    National Seniors Australia
    ------------------------------



  • 11.  RE: Can't build Pentaho-kettle 10.2.0.0

    Posted 05-18-2024 06:41

    Hi,

    Thank you for posting this discussion.

    I am also getting this error while trying to build kettle.

    [ERROR] Failed to execute goal on project kettle-core: Could not resolve dependencies for project pentaho-kettle:kettle-core:jar:10.2.0.0-SNAPSHOT: Could not find artifact org.pentaho:pentaho-encryption-support:jar:10.2.0.0-SNAPSHOT in pentaho-public (https://repo.orl.eng.hitachivantara.com/artifactory/pnt-mvn/) -> [Help 1]
    [ERROR]
    [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
    [ERROR] Re-run Maven using the -X switch to enable full debug logging.
    [ERROR]
    [ERROR] For more information about the errors and possible solutions, please read the following articles:
    [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException


    Where can we get the :pentaho-encryption-support:jar:10.2.0.0-SNAPSHOT Jar ?



    ------------------------------
    Valoriz Digital Pvt. Ltd.
    ------------------------------



  • 12.  RE: Can't build Pentaho-kettle 10.2.0.0

    Posted 20 days ago

    Hi,

    I face the error as yours, before the day I downloaded pentaho 10.2.x archive and tried to build it, the pentaho-encryption-support block my way. Then I tried 10.1.0.0 snapshot, not helpful. There's no any place to post on github repository to tell them the building procedure has something wrong. 



    ------------------------------
    Ciro Wei
    Orzking
    ------------------------------



  • 13.  RE: Can't build Pentaho-kettle 10.2.0.0

    Posted 14 days ago
    Hello Hitachi team/experts,
     
    I was trying to build Pentaho reporting (https://github.com/pentaho/pentaho-reporting) project 10.1.0.0-SNAPSHOT version community edition. While building it from maven I am getting below error
    "Failed to execute goal on project classic-core: Could not resolve dependencies for project org.pentaho.reporting.engine:classic-core:jar:10.1.0.0-SNAPSHOT: Could not find artifact org.pentaho:pentaho-encryption-support:jar:10.1.0.0-SNAPSHOT in pentaho-public (https://repo.orl.eng.hitachivantara.com/artifactory/pnt-mvn/) -> [Help 1]"
     
    I tried to search for the artifact pentaho-encryption-support but couldn't find the repository for the same in Pentaho Github.
    Could you please provide URL for the pentaho-encryption-support ?
    Is there any particular module that builds this particular jar?


    ------------------------------
    Pramod Bhatt
    ABC
    ------------------------------